Skip to main content

Create Resident Recurring Charge: Rent Manager

POSThttps://api.propexo.com/v1/recurring-resident-charges/rentmanager/
Method
POST /RecurringCharges
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    Possible values: > 0

    frequency_normalizedstringrequired

    The frequency of the recurring resident charge

    Show 3 enum values
    DAILYMONTHLYWEEKLY
    descriptionstring

    Description of the recurring resident charge

    start_datestring

    The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    Possible values: > 0

    frequency_normalizedstringrequired

    The frequency of the recurring resident charge

    Show 3 enum values
    DAILYMONTHLYWEEKLY
    descriptionstring | nullnullablerequired

    Description of the recurring resident charge

    start_datestring | nullnullablerequired

    The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/recurring-resident-charges/rentmanager/
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"frequency_normalized": "DAILY"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"frequency_normalized": "DAILY",
"description": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
}